Bug 5729 - tmpwatch (started by crond) fails to parse it's parameters
: tmpwatch (started by crond) fails to parse it's parameters
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-05 00:37 MSD by a.lahin
Modified: 2015-06-16 11:12 MSD (History)
2 users (show)

See Also:
RPM Package: tmpwatch
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (129.41 KB, image/png)
2015-06-11 18:22 MSD, Vladimir Potapov
Details
ss2 (152.37 KB, image/png)
2015-06-12 12:49 MSD, Vladimir Potapov
Details
mail (43.53 KB, application/octet-stream)
2015-06-13 18:10 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description a.lahin 2015-06-05 00:37:59 MSD
Daily cron task tmpwatch fails with the following message:
(to read it you can start postfix and use 'mail' program (mail -u postfix))

Cron <root@law-VirtualBox> /etc/cron.daily/tmpwatch

From: "(Cron Daemon)" <root@law-VirtualBox.localdomain>
To: root@law-VirtualBox.localdomain
Subject: Cron <root@law-VirtualBox> /etc/cron.daily/tmpwatch

error: bad time argument /tmp/.XIM-unix
error: bad time argument /tmp/.XIM-unix


This bug was fixed:
http://permalink.gmane.org/gmane.linux.mandriva.bugs/200053

https://abf.io/openmandriva/tmpwatch/commit/a5015ecc47ff3d33b2f11eba880ae3601bf85396

So we should apply one or another solution for our package.
Comment 1 Denis Silakov 2015-06-05 00:53:51 MSD
I vote for solution from openmandriva.
Comment 2 a.lahin 2015-06-09 14:15:54 MSD
Advisory: "Fix tmpwatch configuration"

Build lists:
https://abf.io/build_lists/2508367
https://abf.io/build_lists/2508368
Comment 3 Vladimir Potapov 2015-06-11 18:22:41 MSD
Created attachment 4094 [details]
ss

Please, remove or localize the message. Remove is better
Comment 4 a.lahin 2015-06-11 20:03:11 MSD
> Please, remove or localize the message. Remove is better

Advisory: Improved version

https://abf.io/build_lists/2509252
https://abf.io/build_lists/2509253
Comment 5 Vladimir Potapov 2015-06-12 10:04:56 MSD
The update is sent to expanded testing
***************************************
Comment 6 Vladimir Potapov 2015-06-12 12:48:38 MSD
It's dont work
log:
Jun 11 09:50:01 DNS-R5-x64 anacron[9442]: Job `cron.daily' started
Jun 11 09:50:04 DNS-R5-x64 anacron[9442]: Job `cron.daily' terminated (exit status: 1) (mailing output)
Comment 7 Vladimir Potapov 2015-06-12 12:49:07 MSD
Created attachment 4099 [details]
ss2
Comment 8 a.lahin 2015-06-12 12:53:32 MSD
(In reply to comment #6)
> It's dont work
> log:
> Jun 11 09:50:01 DNS-R5-x64 anacron[9442]: Job `cron.daily' started
> Jun 11 09:50:04 DNS-R5-x64 anacron[9442]: Job `cron.daily' terminated (exit
> status: 1) (mailing output)

Please, show the message from the mailbox.
> systemctl start postfix
and then
> mail -u postfix
Comment 9 Vladimir Potapov 2015-06-12 20:00:25 MSD
From root@DNS-R5-x64.localdomain  Fri Jun 12 23:59:10 2015
Return-Path: <root@DNS-R5-x64.localdomain>
X-Original-To: root
Delivered-To: root@DNS-R5-x64.localdomain
From: Anacron <root@DNS-R5-x64.localdomain>
To: root@DNS-R5-x64.localdomain
Content-Type: text/plain; charset="UTF-8"
Subject: Anacron job 'cron.daily' on DNS-R5-x64
Date: Mon, 25 May 2015 08:21:03 +0800 (IRKT)
Status: R

run-parts: /etc/cron.daily/man-db.cron exited with return code 255
error: bad time argument /tmp/.XIM-unix
error: bad time argument /tmp/.XIM-unix
Comment 10 Vladimir Potapov 2015-06-12 20:02:40 MSD
/var/mail/postfix": 52 messages 50 unread
 O  1 Anacron            Fri Jun 12 23:59   18/716   Anacron job 'cron.daily' on DNS-R5-x64
>U  2 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 O  3 Anacron            Fri Jun 12 23:59   20/951   Anacron job 'cron.weekly' on DNS-R5-x64
 U  4 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U  5 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U  6 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U  7 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U  8 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U  9 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 10 (Cron Daemon)      Fri Jun 12 23:59   43/1594  Cron <root@DNS-R5-x64> nice -n 19 run-parts --report /etc/cron.daily
 U 11 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 12 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 13 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 14 Anacron            Fri Jun 12 23:59   20/950   Anacron job 'cron.weekly' on DNS-R5-x64
 U 15 Anacron            Fri Jun 12 23:59   16/635   Anacron job 'cron.daily' on DNS-R5-x64
 U 16 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 17 Anacron            Fri Jun 12 23:59   20/950   Anacron job 'cron.weekly' on DNS-R5-x64
 U 18 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 19 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 20 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 21 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 22 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 23 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 24 Anacron            Fri Jun 12 23:59  244/17852 Anacron job 'cron.monthly' on DNS-R5-x64
 U 25 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 26 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 27 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 28 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
 U 29 Anacron            Fri Jun 12 23:59   18/715   Anacron job 'cron.daily' on DNS-R5-x64
Comment 11 Vladimir Potapov 2015-06-12 20:04:35 MSD
All cron.daily tasks don't work....
Comment 12 a.lahin 2015-06-12 20:12:13 MSD
(In reply to comment #9)
> From root@DNS-R5-x64.localdomain  Fri Jun 12 23:59:10 2015
> Return-Path: <root@DNS-R5-x64.localdomain>
> X-Original-To: root
> Delivered-To: root@DNS-R5-x64.localdomain
> From: Anacron <root@DNS-R5-x64.localdomain>
> To: root@DNS-R5-x64.localdomain
> Content-Type: text/plain; charset="UTF-8"
> Subject: Anacron job 'cron.daily' on DNS-R5-x64
> Date: Mon, 25 May 2015 08:21:03 +0800 (IRKT)
> Status: R
> 
> run-parts: /etc/cron.daily/man-db.cron exited with return code 255
> error: bad time argument /tmp/.XIM-unix
> error: bad time argument /tmp/.XIM-unix

Such errors I was getting without the proposed fix.
See http://bugs.rosalinux.ru/show_bug.cgi?id=5729#c0

Please show contents of /etc/sysconfig/tmpwatch.
Comment 13 Denis Silakov 2015-06-12 22:10:03 MSD
This likely happens because /etc/sysconfig/tmpwatch is marked as %config(noreplace) in spec file so it is not overwritten during package update.

Let's remove "noreplace" from spec file at least for now (since the previous default version of this file was invalid).
Comment 14 a.lahin 2015-06-12 23:09:05 MSD
(In reply to comment #13)
> This likely happens because /etc/sysconfig/tmpwatch is marked as
> %config(noreplace) in spec file so it is not overwritten during package
> update.
> 
> Let's remove "noreplace" from spec file at least for now (since the previous
> default version of this file was invalid).

The message about bad time argument is from May, 25, so I think it was generated by previous version.
As to noreplace, shouldn't rpm overwrite the config if the file has not been modified manually?
Comment 15 Denis Silakov 2015-06-12 23:28:03 MSD
Indeed, it should, so maybe Vladimir had made some manual changes to his file?
Comment 16 Vladimir Potapov 2015-06-13 16:14:19 MSD
(In reply to comment #15)
> Indeed, it should, so maybe Vladimir had made some manual changes to his
> file?
No, I work only with standard settings
Comment 17 a.lahin 2015-06-13 16:31:01 MSD
(In reply to comment #16)
> (In reply to comment #15)
> > Indeed, it should, so maybe Vladimir had made some manual changes to his
> > file?
> No, I work only with standard settings

Does the error (wrong /etc/sysconfig/tmpwatch) still persist?
Comment 18 Vladimir Potapov 2015-06-13 18:10:08 MSD
Created attachment 4100 [details]
mail

Today I start postfix and run
ln -s /etc/cron.daily/tmpwatch /etc/cron.hourly/tmpwatch
and restart

I see many errors in postfix mailbox.
Tmpwatch is not work
Comment 19 a.lahin 2015-06-13 18:56:37 MSD
(In reply to comment #18)
> Created attachment 4100 [details]
> mail
> 
> Today I start postfix and run
> ln -s /etc/cron.daily/tmpwatch /etc/cron.hourly/tmpwatch
> and restart
> 
> I see many errors in postfix mailbox.
> Tmpwatch is not work

I see errors from 19 Apr 2015, 20 Apr 2015, ...  9 Jun 2015 (the last one)...
Please delete all the old messages and watch for new errors from tmpwatch.
Comment 20 Vladimir Potapov 2015-06-16 10:01:16 MSD
tmpwatch-2.11-6
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2509252/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2509253/x86_64/main/release/
********************************** Advisory ******************************
Fix tmpwatch configuration
**************************************************************************
QA Verified